// ¥á¥¤¥ó¥°¥é¥Õ¥£¥Ã¥¯¥¹¥é¥¤¥É
function swiperInit() {
	const minimumSlideNum = 4;
	const swiperStop = document.querySelector("#mainVijual_list .slide_control_stop");
	const swiperStart = document.querySelector("#mainVijual_list .slide_control_play");
	const swiper = new Swiper('#mainVijual_list', {
		a11y: {
			prevSlideMessage: 'Ç°¤Ø',
			nextSlideMessage: '´Î¤Ø',
		},
		// direction: 'vertical',
		direction: 'horizontal',
		loop: true,
		autoHeight: false, 
		pagination: {
			el: '#mainVijual_list .slide_pagination', // ¥Ú©`¥¸¥ã
			clickable: true, // ¥Ú©`¥¸¥ã¤Î¥¯¥ê¥Ã¥¯¤Ç¥¹¥é¥¤¥ÉÇÐ¤êÌæ¤¨
		},
		navigation: {
			nextEl: 'mainVijual_list .slide_control_next',  // ´Î¤Ø¥Ü¥¿¥ó
			prevEl: 'mainVijual_list .slide_control_prev',  // Ç°¤Ø¥Ü¥¿¥ó
		},
		// ×Ô„ÓÔÙÉú
		autoplay: {
			delay:  5000, // 1Ã¶¤¢¤¿¤ê¤Î±íÊ¾•rég
			disableOnInteraction: false,  // ´Î¤Ø?Ç°¤Ø¥¯¥ê¥Ã¥¯áá¤Ëautoplay¤¬Ö¹¤Þ¤é¤Ê¤¤¤è¤¦¤Ë¤¹¤ë
			pauseOnMouseEnter: false, // ¥Þ¥¦¥¹¥Û¥Ð©`•r¤Ë¥¹¥é¥¤¥É¤òÍ£Ö¹¤¹¤ë£¨true:Í£Ö¹¤¹¤ë / false:Í£Ö¹¤·¤Ê¤¤£©
		},
		speed: 2000, // ´Î¤Î¥¹¥é¥¤¥É¤Ø¤ÎßwÒÆ•rég
		slidesPerView: 1, // ³õÆÚÔO¶¨ 1¶È¤Ë±íÊ¾¤¹¤ë¥¹¥é¥¤¥É¤ÎÃ¶Êý
		breakpoints: {
			// ¥Ö¥é¥¦¥¶·ù¤¬670pxÒÔÉÏ¤ÎˆöºÏ
			670: {
				slidesPerView: 1,
				effect: 'fade',
			},
			// ¥Ö¥é¥¦¥¶·ù¤¬1080pxÒÔÉÏ¤ÎˆöºÏ
			1080: {
				slidesPerView: 1,
				effect: 'fade',
			},
		},
		//   ¥Õ¥§©`¥ÉÇÐ¤êÌæ¤¨
		effect: 'fade',
		//   ¥¯¥í¥¹¥Õ¥§©`¥É
		on: {
			// ³õÆÚ»¯
			init: function () {
				// ÒŽ¶¨Ã¶Êý¤è¤êÉÙ¤Ê¤¤¤È¤­¤Ë¡¢¥¹¥é¥¤¥É¤Î¥¯¥í©`¥ó¤ò×÷³É¤¹¤ë¡£
				const slides = this.slides;
				if (slides.length < minimumSlideNum) {
					const addSlides = 1 - slides.length;
					for (let i = 0; i < addSlides; i++) {
						const cloneSlide = slides[i % slides.length].cloneNode(true);
						this.appendSlide(cloneSlide);
					}
				}
			},
			// ¥ê¥µ¥¤¥º•r
			resize: function(){
				swiper.init(); // swiper¤Î³õÆÚ»¯
				// swiper.autoplay.start();
			}
		}
	});
	// Í£Ö¹¥Ü¥¿¥óÑºÏÂ•r¤Î„IÀí
	if (swiperStop !== null) {
		swiperStop.addEventListener("click", () => {
			swiper.autoplay.stop();
			swiperStart.classList.remove("is-active");
			swiperStop.classList.add("is-active");
		});
	}
	// ÔÙÉú¥Ü¥¿¥óÑºÏÂ•r¤Î„IÀí
	if (swiperStart !== null) {
		swiperStart.classList.add('is-active');  //³õÆÚ×´‘B¤È¤·¤ÆÔÙÉúÖÐ¤Î¥¯¥é¥¹¤ò×·¼Ó
		swiperStart.addEventListener("click", () => {
			swiper.autoplay.start();
			swiperStart.classList.add("is-active");
			swiperStop.classList.remove("is-active");
		});
	}
}

// ¥Ð¥Ê©`ŽÚ¸æ¥¹¥é¥¤¥É1
function topBanner2Slide() {
	const swiperStop = document.querySelector("#pickupBnr_list .slide_control_stop");
	const swiperStart = document.querySelector("#pickupBnr_list .slide_control_play");
	const swiper = new Swiper('#pickupBnr_list .swiper', {
		a11y: {
			prevSlideMessage: 'Ç°¤Ø',
			nextSlideMessage: '´Î¤Ø',
		},
		// direction: 'vertical',
		direction: 'horizontal',
		loop: true,
		centeredSlides: true,
		autoHeight: false,
		pagination: {
			el: '#pickupBnr_list .slide_pagination', // ¥Ú©`¥¸¥ã
			clickable: true, // ¥Ú©`¥¸¥ã¤Î¥¯¥ê¥Ã¥¯¤Ç¥¹¥é¥¤¥ÉÇÐ¤êÌæ¤¨
		},
		navigation: {
			nextEl: '#pickupBnr_list .slide_control_next',  // ´Î¤Ø¥Ü¥¿¥ó
			prevEl: '#pickupBnr_list .slide_control_prev',  // Ç°¤Ø¥Ü¥¿¥ó
		},
		// ×Ô„ÓÔÙÉú
		autoplay: {
			delay:  5000, // 1Ã¶¤¢¤¿¤ê¤Î±íÊ¾•rég
			disableOnInteraction: false,  // ´Î¤Ø/Ç°¤Ø¥¯¥ê¥Ã¥¯áá¤Ëautoplay¤¬Ö¹¤Þ¤é¤Ê¤¤¤è¤¦¤Ë¤¹¤ë
			pauseOnMouseEnter: false,
		},
		speed: 2000, // ´Î¤Î¥¹¥é¥¤¥É¤Ø¤ÎßwÒÆ•rég
		slidesPerView: auto, //breakpoint¤Î×îÐ¡‚ŽÒÔÏÂ¤Î·ù¤Î¤È¤­¤Î‚€Êý
		effect: 'slide',
		on: {
			// ³õÆÚ»¯
			init: function () {
				//
			},
			// ¥ê¥µ¥¤¥º•r
			resize: function(){
				swiper.init(); // swiper¤Î³õÆÚ»¯
				// swiper.autoplay.start();
			}
		}
	});
	// Í£Ö¹¥Ü¥¿¥ó
	if (swiperStop !== null) {
		swiperStop.addEventListener("click", () => {
			swiper.autoplay.stop();
			swiperStart.classList.remove("is-active");
			swiperStop.classList.add("is-active");
		});
	}
	// ÔÙÉú¥Ü¥¿¥ó
	if (swiperStart !== null) {
		swiperStart.classList.add('is-active');  //³õÆÚ×´‘B¤È¤·¤ÆÔÙÉúÖÐ¤Î¥¯¥é¥¹¤ò×·¼Ó
		swiperStart.addEventListener("click", () => {
			swiper.autoplay.start();
			swiperStart.classList.add("is-active");
			swiperStop.classList.remove("is-active");
		});
	}

}

// ¥Ð¥Ê©`ŽÚ¸æ2¤Î¥¹¥é¥¤¥É
// ³õÆÚ×´‘B¤Ï2ÐÐ4ÁÐ¤Î¥¹¥é¥¤¥É
function topBanner2_2Slide() {
	const swiperStop = document.querySelector("#top_banner_2_list2 .slide_control_stop");
	const swiperStart = document.querySelector("#top_banner_2_list2 .slide_control_play");

	const sliderNumCols = 4;
	const sliderNumRows = 2;
	const sliderNumMin = sliderNumCols * sliderNumRows;

	const swiper = new Swiper('#top_banner_2_list2 .swiper', {
		a11y: {
			prevSlideMessage: 'Ç°¤Ø',
			nextSlideMessage: '´Î¤Ø',
		},
		direction: 'horizontal',
		loop: false, 
		// autoHeight: false,
		pagination: {
			el: '#top_banner_2_list2 .slide_pagination', // ¥Ú©`¥¸¥ã
			clickable: true, // ¥Ú©`¥¸¥ã¤Î¥¯¥ê¥Ã¥¯¤Ç¥¹¥é¥¤¥ÉÇÐ¤êÌæ¤¨
		},
		navigation: {
			nextEl: '#top_banner_2_list2 .slide_control_next',  // ´Î¤Ø¥Ü¥¿¥ó
			prevEl: '#top_banner_2_list2 .slide_control_prev',  // Ç°¤Ø¥Ü¥¿¥ó
		},
		// ×Ô„ÓÔÙÉú
		autoplay: {
			delay:  5000, // 1Ã¶¤¢¤¿¤ê¤Î±íÊ¾•rég
			disableOnInteraction: false,  // ´Î¤Ø/Ç°¤Ø¥¯¥ê¥Ã¥¯áá¤Ëautoplay¤¬Ö¹¤Þ¤é¤Ê¤¤¤è¤¦¤Ë¤¹¤ë
			pauseOnMouseEnter: true,
		},
		speed: 1000, // ´Î¤Î¥¹¥é¥¤¥É¤Ø¤ÎßwÒÆ•rég
		// effect: 'slide',
		// ³õÆÚÔO¶¨£¨2ÐÐ2ÁÐ£©
		slidesPerView: 2,
		grid: {
			rows: 2,
			fill: 'row',
		},
		loopAddBlankSlides: true,
		breakpoints: {
			// 670pxÒÔÉÏ¤ÎˆöºÏ
			670: {
				slidesPerView: 2,
				// effect: 'slide',
				grid: {
					rows: 2,
				},
			},
			// 1080pxÒÔÉÏ¤ÎˆöºÏ£¨2ÐÐ4ÁÐ£©
			1080: {
				slidesPerView: 4,
				grid: {
					rows: 2,
				},
			},
		},
		on: {
			// ³õÆÚ»¯
			init: function () {
				// ÒŽ¶¨Ã¶Êý¤è¤êÉÙ¤Ê¤¤¤È¤­¤Ë¡¢¥¹¥é¥¤¥É¤Î¥¯¥í©`¥ó¤ò×÷³É¤¹¤ë¡£
				// const slides = this.slides;
				// if (slides.length < sliderNumMin) {
				// 	const addSlides = sliderNumMin - slides.length;
				// 	for (let i = 0; i < addSlides; i++) {
				// 		const cloneSlide = slides[i % slides.length].cloneNode(true);
				// 		this.appendSlide(cloneSlide);
				// 	}
				// }
			},
			// ¥ê¥µ¥¤¥º•r
			resize: function(){
				// swiper.init(); // swiper¤Î³õÆÚ»¯
				swiper.update();
				swiper.autoplay.start();
			}
		}
	});
	// Í£Ö¹¥Ü¥¿¥ó
	if (swiperStop !== null) {
		swiperStop.addEventListener("click", () => {
			swiper.autoplay.stop();
			swiperStart.classList.remove("is-active");
			swiperStop.classList.add("is-active");
		});
	}
	// ÔÙÉú¥Ü¥¿¥ó
	if (swiperStart !== null) {
		swiperStart.classList.add('is-active');  //³õÆÚ×´‘B¤È¤·¤ÆÔÙÉúÖÐ¤Î¥¯¥é¥¹¤ò×·¼Ó
		swiperStart.addEventListener("click", () => {
			swiper.autoplay.start();
			swiperStart.classList.add("is-active");
			swiperStop.classList.remove("is-active");
		});
	}

}

// ¥Ô¥Ã¥¯¥¢¥Ã¥×¥¹¥é¥¤¥É
function pickUpSlide() {
	const swiperStop = document.querySelector("#studentMessage .slide_control_stop");
	const swiperStart = document.querySelector("#studentMessage .slide_control_play");
	const swiper = new Swiper('#studentMessage .swiper', {
		a11y: {
			prevSlideMessage: 'Ç°¤Ø',
			nextSlideMessage: '´Î¤Ø',
		},
		// direction: 'vertical',
		direction: 'horizontal',
		loop: true,
		centeredSlides: true,
		autoHeight: false,
		pagination: {
			el: '#studentMessage .slide_pagination', // ¥Ú©`¥¸¥ã
			clickable: true, // ¥Ú©`¥¸¥ã¤Î¥¯¥ê¥Ã¥¯¤Ç¥¹¥é¥¤¥ÉÇÐ¤êÌæ¤¨
		},
		navigation: {
			nextEl: '#studentMessage .slide_control_next',  // ´Î¤Ø¥Ü¥¿¥ó
			prevEl: '#studentMessage .slide_control_prev',  // Ç°¤Ø¥Ü¥¿¥ó
		},
		// ×Ô„ÓÔÙÉú
		autoplay: {
			delay:  5000, // 1Ã¶¤¢¤¿¤ê¤Î±íÊ¾•rég
			disableOnInteraction: false,  // ´Î¤Ø/Ç°¤Ø¥¯¥ê¥Ã¥¯áá¤Ëautoplay¤¬Ö¹¤Þ¤é¤Ê¤¤¤è¤¦¤Ë¤¹¤ë
			pauseOnMouseEnter: false,
		},
		speed: 2000, // ´Î¤Î¥¹¥é¥¤¥É¤Ø¤ÎßwÒÆ•rég
		slidesPerView: 2, //breakpoint¤Î×îÐ¡‚ŽÒÔÏÂ¤Î·ù¤Î¤È¤­¤Î‚€Êý
		spaceBetween: 20,
		// effect: 'slide',
		breakpoints: {
			// 670pxÒÔÉÏ¤ÎˆöºÏ
			670: {
				slidesPerView: 3,
				effect: 'slide',
			},
			// 1080pxÒÔÉÏ¤ÎˆöºÏ
			1080: {
				slidesPerView: 6,
				effect: 'slide',
			},
		},
		//   ¥Õ¥§©`¥ÉÇÐ¤êÌæ¤¨
		//   ¥¯¥í¥¹¥Õ¥§©`¥É
		on: {
			// ³õÆÚ»¯
			init: function () {
				//
			},
			// ¥ê¥µ¥¤¥º•r
			resize: function(){
				swiper.init(); // swiper¤Î³õÆÚ»¯
				// swiper.autoplay.start();
			}
		}
	});
	// Í£Ö¹¥Ü¥¿¥ó
	if (swiperStop !== null) {
		swiperStop.addEventListener("click", () => {
			swiper.autoplay.stop();
			swiperStart.classList.remove("is-active");
			swiperStop.classList.add("is-active");
		});
	}
	// ÔÙÉú¥Ü¥¿¥ó
	if (swiperStart !== null) {
		swiperStart.classList.add('is-active');  //³õÆÚ×´‘B¤È¤·¤ÆÔÙÉúÖÐ¤Î¥¯¥é¥¹¤ò×·¼Ó
		swiperStart.addEventListener("click", () => {
			swiper.autoplay.start();
			swiperStart.classList.add("is-active");
			swiperStop.classList.remove("is-active");
		});
	}

}


document.addEventListener('DOMContentLoaded', function() {
	swiperInit();
	topBanner2Slide();
	topBanner2_2Slide();
	pickUpSlide();
});